| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Properties | List of all members
IG.Num.IScalarFunctionOneParametric Interface Reference
Inheritance diagram for IG.Num.IScalarFunctionOneParametric:
[legend]
Collaboration diagram for IG.Num.IScalarFunctionOneParametric:
[legend]

## Properties
double | Parameter`[get, set]`
| Gets or sets the (only) parameter that defines the current function out of parametric family of functions. More...
Properties inherited from IG.Num.IScalarFunctionParametric
IVector | Parameters`[get, set]`
| Parameters that define the specific function out of parametric familiy of scalar functions. More...
int | NumParameters`[get]`
| Gets number of parameters that define the specific function out of parametric family of scalar functions. More...
Properties inherited from IG.Num.IScalarFunction
IAffineTransformation | Transformation`[get, set]`
| Affine transformation of parameters. Actual function is evaluated as reference function evaluated at inverse affine transformed parameters. More...
Properties inherited from IG.Num.IScalarFunctionUntransformed
string | Name`[get]`
| Returns a short name of the function. More...
string | Description`[get]`
| Returns a short description of the function. More...
bool | ValueDefined`[get]`
| Tells whether value of the function is defined by implementation. More...
bool | GradientDefined`[get]`
| Tells whether the first derivative is defined for this function (by implementation, not mathematically) More...
bool | HessianDefined`[get]`
| Tells whether the second derivative is defined for this function (by implementation, not mathematically) More...

## Additional Inherited Members
Public Member Functions inherited from IG.Num.IScalarFunctionParametric
double[] | GetParameters ()
| Returns parameters of the current parametric function as an array. More...
void | SetParameters (double[] parameters)
| Sets parameters of the current parametric functions, where parameters are specified as array. More...
double | GetParameter (int which)
| Returns value of the specified parameter of the parameterized function. More...
void | SetParameter (int which, double value)
| Sets the specific parameters of the parameterized function. More...
Public Member Functions inherited from IG.Num.IScalarFunction
double | ReferenceValue (IVector parameters)
| Returns the value of this function at the specified parameter in the reference coordinate system. More...
void | ReferenceGradientPlain (IVector parameters, IVector gradient)
| Calculates the first derivative (gradient) of this function at the specified parameter in the reference coordinate system. More...
void | ReferenceHessianPlain (IVector parameters, IMatrix hessian)
| Calculates the second derivative (Hessian) of this function at the specified parameters in the reference coordinate system. More...
Public Member Functions inherited from IG.Num.IScalarFunctionUntransformed
void | Evaluate (IScalarFunctionResults data)
| Evaluates whatever needs to be evaluated and stores the results on the specified storage object. More...
double | Value (IVector x)
| Returns the value of this function at the specified parameter. More...
void | GradientPlain (IVector parameters, IVector gradient)
| Calculates first order derivatives (gradient) of this function at the specified parameters. WARNING: Plain function, does not check consistency of arguments. More...
void | Gradient (IVector parameters, ref IVector gradient)
| Calculates first order derivatives (gradient) of this function at the specified parameters. More...
void | HessianPlain (IVector parameters, IMatrix hessian)
| Calculates the second derivative (Hessian matrix) of this function at the specified parameters. WARNING: Plain function, does not check consistency of arguments. More...
void | Hessian (IVector parameters, ref IMatrix hessian)
| Calculates the second derivative (Hessian matrix) of this function at the specified parameters. More...

## Property Documentation

double IG.Num.IScalarFunctionOneParametric.Parameter
| get set

Gets or sets the (only) parameter that defines the current function out of parametric family of functions.

The documentation for this interface was generated from the following file:

- igbase/numeric/FunctionScalarParametric.cs